# EdFi.OdsApi.Sdk.Models.All.MiStaffREPCredentialReference
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**CredentialFieldDescriptor** | **string** | The field of certification for the certificate (e.g., Mathematics, Music). | 
**CredentialIssuanceDate** | **DateTime?** | The month, day, and year on which an active credential was issued to an individual. | 
**CredentialTypeDescriptor** | **string** | An indication of the category of credential an individual holds. | 
**GradeLevelDescriptor** | **string** | The grade level(s) certified for teaching. | 
**RepTypeOfCredentialDescriptor** | **string** | An indication of the category of a legal document giving authorization to perform teaching assignment services. | 
**StaffUniqueId** | **string** | A unique alphanumeric code assigned to a staff. | 
**TeachingCredentialDescriptor** | **string** | An indication of the category of a legal document giving authorization to perform teaching assignment services. | 
**Link** | [**Link**](Link.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

