# EdFi.OdsApi.Sdk.Models.All.MiStudentLibraryService
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**SchoolReference** | [**EdFiSchoolReference**](EdFiSchoolReference.md) |  | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**AccessLevelDescriptor** | **string** | Access Level (P&#x3D;Patron) | [optional] 
**Barcode** | **string** | Barcode ID - Usually Student Number. | 
**CardExpirationDate** | **DateTime?** | Expiration Date for Student Access. | [optional] 
**IsAcceptableUsePolicyOnFile** | **bool?** | Is Acceptable Use Policy on File (1&#x3D;Y / 0&#x3D;N) | [optional] 
**Other1** | **string** | Other field 1 | [optional] 
**Other2** | **string** | Other field 2 | [optional] 
**Other3** | **string** | Other field 3 | [optional] 
**Password** | **string** | Password of library service account. | [optional] 
**UserDefined1** | **string** | User Defined Field 1. | [optional] 
**UserDefined2** | **string** | User Defined Field 2 | [optional] 
**UserDefined3** | **string** | User Defined Field 3 | [optional] 
**UserDefined4** | **string** | User Defined Field 4 | [optional] 
**UserDefined5** | **string** | User Defined Field 5 | [optional] 
**UserName** | **string** | UserName/Login ID. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

