# EdFi.OdsApi.Sdk.Models.Composites.TransportationComposites.TransportationStudent
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**BirthDate** | **DateTime?** | The month, day, and year on which an individual was born. | 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | 
**LastSurname** | **string** | The name borne in common by members of a family. | 
**MiddleName** | **string** | A secondary name given to an individual at birth, baptism, or during another naming ceremony. | [optional] 
**OtherNames** | [**List&lt;TransportationStudentStudentOtherName&gt;**](TransportationStudentStudentOtherName.md) | An unordered collection of studentOtherNames.  | [optional] 
**Parents** | [**List&lt;TransportationStudentStudentParentAssociation&gt;**](TransportationStudentStudentParentAssociation.md) | An unordered collection of studentParentAssociations.  | [optional] 
**Schools** | [**List&lt;TransportationStudentStudentSchoolAssociation&gt;**](TransportationStudentStudentSchoolAssociation.md) | An unordered collection of studentSchoolAssociations.  | [optional] 
**StudentUniqueId** | **string** | A unique alphanumeric code assigned to a student. | 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

