# EdFi.OdsApi.Sdk.Models.Profiles.Transportation.EdFiParentReadable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**ParentUniqueId** | **string** | A unique alphanumeric code assigned to a parent. | 
**Addresses** | [**List&lt;EdFiParentAddressReadable&gt;**](EdFiParentAddressReadable.md) | An unordered collection of parentAddresses. Parent&#39;s address, if different from the student address. | [optional] 
**ElectronicMails** | [**List&lt;EdFiParentElectronicMailReadable&gt;**](EdFiParentElectronicMailReadable.md) | An unordered collection of parentElectronicMails. The numbers, letters, and symbols used to identify an electronic mail (e-mail) user within the network to which the individual or organization belongs. | [optional] 
**FirstName** | **string** | A name given to an individual at birth, baptism, or during another naming ceremony, or through legal change. | 
**GenerationCodeSuffix** | **string** | An appendage, if any, used to denote an individual&#39;s generation in his family (e.g., Jr., Sr., III). | [optional] 
**LastSurname** | **string** | The name borne in common by members of a family. | 
**MiddleName** | **string** | A secondary name given to an individual at birth, baptism, or during another naming ceremony. | [optional] 
**PersonalTitlePrefix** | **string** | A prefix used to denote the title, degree, position, or seniority of the person. | [optional] 
**Telephones** | [**List&lt;EdFiParentTelephoneReadable&gt;**](EdFiParentTelephoneReadable.md) | An unordered collection of parentTelephones. The 10-digit telephone number, including the area code, for the person. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

