# EdFi.OdsApi.Sdk.Models.Profiles.Rostering.EdFiStateEducationAgencyReadable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**Categories** | [**List&lt;EdFiEducationOrganizationCategoryStateEducationAgencyReadable&gt;**](EdFiEducationOrganizationCategoryStateEducationAgencyReadable.md) | An unordered collection of educationOrganizationCategories. The classification of the education agency within the geographic boundaries of a state according to the level of administrative and operational control granted by the state. | 
**StateEducationAgencyId** | **int?** | The identifier assigned to a state education agency. | 
**NameOfInstitution** | **string** | The full, legally accepted name of the institution. | 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 
**Ext** | [**StateEducationAgencyExtensionsReadable**](StateEducationAgencyExtensionsReadable.md) |  | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

