# EdFi.OdsApi.Sdk.Models.Profiles.Transportation.EdFiStudentEducationOrganizationAssociationReadable
## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**Id** | **string** |  | 
**EducationOrganizationReference** | [**EdFiEducationOrganizationReference**](EdFiEducationOrganizationReference.md) |  | 
**StudentReference** | [**EdFiStudentReference**](EdFiStudentReference.md) |  | 
**Addresses** | [**List&lt;EdFiStudentEducationOrganizationAssociationAddressReadable&gt;**](EdFiStudentEducationOrganizationAssociationAddressReadable.md) | An unordered collection of studentEducationOrganizationAssociationAddresses. The set of elements that describes an address, including the street address, city, state, and ZIP code. | [optional] 
**ElectronicMails** | [**List&lt;EdFiStudentEducationOrganizationAssociationElectronicMailReadable&gt;**](EdFiStudentEducationOrganizationAssociationElectronicMailReadable.md) | An unordered collection of studentEducationOrganizationAssociationElectronicMails. The numbers, letters, and symbols used to identify an electronic mail (e-mail) user within the network to which the individual or organization belongs. | [optional] 
**HispanicLatinoEthnicity** | **bool?** | An indication that the individual traces his or her origin or descent to Mexico, Puerto Rico, Cuba, Central, and South America, and other Spanish cultures, regardless of race. The term, \&quot;Spanish origin,\&quot; can be used in addition to \&quot;Hispanic or Latino.\&quot; | [optional] 
**OldEthnicityDescriptor** | **string** | Previous definition of Ethnicity combining Hispanic/Latino and race:        1 - American Indian or Alaskan Native        2 - Asian or Pacific Islander        3 - Black, not of Hispanic origin        4 - Hispanic        5 - White, not of Hispanic origin. | [optional] 
**StudentIdentificationCodes** | [**List&lt;EdFiStudentEducationOrganizationAssociationStudentIdentificationCodeReadable&gt;**](EdFiStudentEducationOrganizationAssociationStudentIdentificationCodeReadable.md) | An unordered collection of studentEducationOrganizationAssociationStudentIdentificationCodes. A coding scheme that is used for identification and record-keeping purposes by schools, social services, or other agencies to refer to a student. | [optional] 
**Telephones** | [**List&lt;EdFiStudentEducationOrganizationAssociationTelephoneReadable&gt;**](EdFiStudentEducationOrganizationAssociationTelephoneReadable.md) | An unordered collection of studentEducationOrganizationAssociationTelephones. The 10-digit telephone number, including the area code, for the person. | [optional] 
**Etag** | **string** | A unique system-generated value that identifies the version of the resource. | [optional] 

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)

